Bug 1205625 (CVE-2015-1809) - CVE-2015-1809 jenkins: external entity injection via XPath (SECURITY-165)
Summary: CVE-2015-1809 jenkins: external entity injection via XPath (SECURITY-165)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-1809
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1205637 1205638 1248781
Blocks: 1205634
TreeView+ depends on / blocked
 
Reported: 2015-03-25 10:53 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:30 UTC (History)
13 users (show)

Fixed In Version: Jenkins 1.600, Jenkins 1.596.1
Doc Type: Bug Fix
Doc Text:
It was found that Jenkins' XPath handling allowed XML External Entity (XXE) expansion. A remote attacker with read access could use this flaw to read arbitrary XML files on the Jenkins server.
Clone Of:
Environment:
Last Closed: 2015-09-30 16:43:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1844 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.7 security, bug fix and enhancement update 2015-09-30 20:35:28 UTC

Description Vasyl Kaigorodov 2015-03-25 10:53:03 UTC
This vulnerability allows users with the read access to Jenkins to retrieve arbitrary XML document on the server, resulting in the exposure of sensitive information inside/outside Jenkins.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2015-02-27

Comment 2 Vasyl Kaigorodov 2015-03-25 11:07:35 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1205637]

Comment 3 Fedora Update System 2015-04-18 09:44:06 UTC
jenkins-1.590-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-21 19:08:53 UTC
jenkins-1.606-1.fc22, jffi-1.2.7-5.fc22, jenkins-executable-war-1.29-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-09-30 16:37:13 UTC
This issue has been addressed in the following products:

  RHEL 6 Version of OpenShift Enterprise 2.2

Via RHSA-2015:1844 https://rhn.redhat.com/errata/RHSA-2015-1844.html


Note You need to log in before you can comment on or make changes to this bug.